@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kalam:wght@300&display=swap');
/*********************Page principale******************/
/***************************BODY***************************/
body{
    margin:0px;
    padding: 0px;
    background-image: linear-gradient(180deg,#919191, #4d4c4c );
    color: #2A2A2A;
    font-family:'Kalam','Pacifico', cursive, Verdana, sans-serif;
    font-size: 16px;
    text-align: center;
    user-select: none;
}
#body_container{
    display:flex;
    margin:0px;
    padding: 0px;
    flex-direction: column;

}
a{
    text-decoration: none;
    }
li{
    list-style: none;
}
/**********************************HEADER*************************/
header{
    background-image:url("/images/Bandeau_graph.png");
    background-size: cover;
    color: rgb(208, 208, 208);
    display: flex;
    flex-direction: row;
    justify-content:space-around;
    flex-wrap: wrap;
}
.cadre{
    padding: 0 ;
    margin: 0;
    outline: none;
    background-color: none;
    text-align: center;
    width: 16vw;
}
.img_container{
    max-width: 15vw;
    padding: 20px 0px 10px 0px;
}
.img_container img, .img_container a img{
    max-width: 14vw;
    border-radius: 1vw 1vw 1vw 1vw ;
    box-shadow: 1vw 1vw 1vw rgba(147, 147, 147, 0.8);
}
.img_container img{
    box-shadow: 1vw 1vw 1vw #c2c2c2, -1vw -1vw 1vw #c2c2c2;
}
#titre{
    padding: 0 2px 2px 2px;
    text-align: center;
}
#titre h1{
    padding: 0;
    margin: 0;
    font-size: 1.3rem;
    font-family: 'Kalam', Verdana, sans-serif;
    font-weight: 100;
}
.img_container:hover a #apercu_cv{
    transform: scale(1.07) rotate(-5deg);
    transform-origin: 50% 50%;
    filter: contrast(120%) ;
    transition: 0.3s ease-in-out;
}
.img_container:hover a #logo_linkedin{
    transform: scale(1.07) rotate(5deg);
    transform-origin: 50% 50%;
    filter: contrast(120%) ;
    transition: 0.3s ease-in-out;
}
/********************************MAIN***************************/
#adage{
    text-align: center;
    margin: 0 3px 0 3px ;
    font-family: 'Pacifico', Tahoma, sans-serif;
}
.italic1{
    font-style: italic;
    font-weight: lighter;
    
}

/***************************line cut*******************/

.line {
    width: 100%;
    margin-top: 1vh;
    border-bottom: 2px solid black;
    box-shadow: 1 0 3px 4px #000;
  }

/********************************************NAVIGATION*************************************/

.nav .menu, ul{
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    margin: 10px 10px 20px 0px;
    padding: 5px;
    width: auto;
    list-style-type: none;
    color: #2A2A2A;
}

/***********************************section2 nav bar***************************/


#button-bar, #menu{
    display: flex;
    justify-content: space-around;
    flex-wrap: wrap;
}
button {
    margin: 2px;
    min-width: 12vw;
    min-height: 3vh;
    text-align: center;
    font: italic small-caps bolder 0.8em cursive;
    text-transform: capitalize;
    background-color: #2A2A2A;
    border-radius: 5px;
    color: #a9a8a8;
    border: 0;
    cursor: pointer;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    transition: background-color 0.3s ease-in-out;
   }
   
button:hover {
 background-color: #c2c2c2;
 color: #000;
}
button:active{
    color: #a9a8a8;
}
button:visited{
    color: #a9a8a8;
}

/***************************section0***********************************/
#section-0{
    /*clip path permet de donner la forme de la division avec https://bennettfeely.com/clippy  */
    clip-path: polygon(50% 2%, 98% 38%, 82% 98%, 18% 98%, 2% 38%);
    background: #a9a8a8;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
}
#section-0 h3{
    font-size: 1rem;
    padding: 3.5vw 1vw;
    max-height: 3vh;
    border: #121010 1px solid;
    border-radius: 1vw 1vh 1vw 1vh;
    background:#919191;
}
.workflow {
    display: flex;
    justify-content: center;
    overflow: hidden;
    margin: 1vw;
    padding: 1.5vw;
}
.workflow img{
    display: block;
    position: relative;
    max-width: 70%;
    flex-wrap: nowrap;
    flex-grow: 0.5;
    flex-shrink: 0;
}
/********************************************CAROUSSEL*****************************/
#section1{
    margin: 10px;
    margin-top: 0;
    display: flex;
    justify-content: center;
}



ul.slides{
    margin: 0;
    padding: 0;
    display: block;
}
div.carousel h3 {
    margin: 5px 5px;
    padding: 5px 5px;
    font-size: 1rem;
    color:rgb(208, 208, 208);
    border: #2A2A2A 1px solid;
    border-radius: 2vw;
    text-align: center;
    background-image: linear-gradient(180deg,#666666, #4d4c4c );

}
.car1, .car2, .car3, .car4{
    display: flex;
    flex-direction: column;
    justify-content: space-around;
}

.car1 li, .car2 li, .car3 li, .car4 li{
    font: small-caps  0.7em cursive;
    margin-left: 8vw;
    text-align: justify;
    list-style-image: url("/images/list-puces5.png");
    padding: 1vh 1vw 1vh 0vw;
}


li.slide-container{
    padding: 5px;
    display:none;
    vertical-align: middle;
}

.slide-image {
    padding: 5px;
    width: 88vw;
    transition: all .7s ease-in-out;
    background-color: #c2c2c2;
    color: #2A2A2A;
    box-shadow:0 0 5px 5px  #2A2A2A ;
}   
.carousel-controls {
    position: relative;
    display: flex;
    justify-content: space-between;
    z-index: 999;
    font-size: 5vw;
    color: rgb(208, 208, 208);
}

.carousel-controls label {
    padding: 0px;
    opacity: 0.2;
    transition: opacity .2s;
    cursor: pointer;
}

.slide-image:hover + .carousel-controls label, .slide-image-img:hover + .carousel-controls label{
  opacity: 0.5;
}

.carousel-controls label:hover {
  opacity: 1;
}

.carousel-controls .prev-slide {
  text-align: left;
}

.carousel-controls .next-slide {
  text-align: right;
}

.carousel-dots {
display: flex;
justify-content: space-around;
  bottom: 20px;
  z-index: 999;
  text-align: center;
}

.carousel-dots .carousel-dot {
    width: 4vw;
    height: 3.8vw;
    border-radius: 50%;
    background-color: #000;
    opacity: 0.4;
    margin: 10px;
}
input{
    display: none;
}
input:checked + li.slide-container{
    display:block;
    position:relative;
}
input:checked + li.slide-container div.carousel-controls label.prev-slide{
    display:block;
    position:absolute;
    left:0%;
    bottom: 0%;
    font-size: 3rem ;
}
input:checked + li.slide-container div.carousel-controls label.next-slide{
    display:block;
    position:absolute;
    right:0%;
    bottom: 0%;
    font-size: 3rem ;
}

input:checked + li.slide-container .slide-image {
    display:block;
    position:relative;
    opacity: 1;
    transform: scale(1);
    background-color: #b0c1b5;
    transition: opacity 1s ease-in-out;
}



#img-1:checked ~ .carousel-dots #img-dot-1,
#img-2:checked ~ .carousel-dots #img-dot-2,
#img-3:checked ~ .carousel-dots #img-dot-3 {
	opacity: 1;
}

input:checked + .slide-container .nav label { display: block; }


/**********************************SKILLs- Section2**************************/

#section2{
    margin: 0;
    padding: 0;
}
#skillstitle{
    font-size: 1.3rem;
    text-align: center;
}
#pensee{
    width: 100%;
    margin:0;
    padding: 0;
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
}
#texreflx{
    max-width: 80vw;
    margin: 5px;
    font: small-caps  0.7em cursive;
    text-align: justify;
    display: flex;
    flex-direction: column;
}
#lirelasuite {
    display:none;
}
#lirelasuite div{
    text-align: center;
}

#btnliresuite{
    text-decoration: none;
    color: #4a4a4a;
}
#btnliresuite:hover{
    color: #000;
}
#legend{
display: flex;
flex-direction: column;
justify-content: space-around;
padding: 2vh;
}
#legend li{
    padding: 2vh;
    margin: 1vh 0;
    border-radius: 10vw;
    box-shadow: inset 1vw 1vw 2vw #5c5c5c,
                inset -1vw -1vw 2vw #7c7c7c;
}
#leg1{
    background-color: #53bc00;
}
#leg2{
    background-color: #FFEC03;
}
#leg3{
    background-color: rgb(208, 208, 208);
}
#closelire{
    color: #2A2A2A;
    font-size: 2rem;
    padding: 2vw 2vw;
    text-align: center;
    text-decoration: none;
    border-radius: 4vw;
    background: #6c6c6c;
    box-shadow: inset 20px 20px 60px #5c5c5c,
                inset -20px -20px 60px #7c7c7c;
}



@keyframes opac {
    0%{
        opacity: 1;
    }
    50%{
        opacity: 0;
        
    }
    100%{
        opacity: 1;
    }
}


/***********************************section2***************************/



   /************************Competences Content************************/

   h3.skillboxtitle{
    font-size: 1.2rem;
    color: #EB5406;
    font-weight: 100;
    font-family: Verdana, sans-serif;
    text-transform: capitalize;
    }
/*container2 parent skills*/


#container2{
    margin: 2vh 2vw;
    padding: 2vh 2vw;
    border: #000000 3px solid;
    box-shadow: 0 0 8px -2px #040404;
    border-radius: 5px 5px;
    background-color: #4a4a4a;
}
#tab-content, #tab-content .sklist{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    flex:auto;
    justify-content: space-around;
    text-align: center;

}

#tab-content .skills-box{
    margin: 2vh 2vw;
    padding: 2vh 2vw;
    border: #000000 3px solid;
    box-shadow: 0 0 8px -2px #040404;
    flex-direction: column;
}
#container2 .skills-box ul li {
    max-width: 25vw;
    margin: 4px;
    padding: 4px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 2px solid white;
    border-radius: 4px;
    background: radial-gradient(ellipse at bottom, #1b2735 0%, #090a0f 100%);
    color: white;
    list-style: none;
}
#container2 .skills-box ul li img{
    margin: 1px;
    padding: 2px;
    max-width: 25vw;
    background-color: #fff;


}
#container2 .skills-box ul li p{
    font-size: 1rem;
    max-width: 22vw;
}
#container2 .skills-box ul li .aise{
    color:#53bc00;

}
#container2 .skills-box ul li .known{
    color: #FFEC03;

}
#homecomp .skills-box{
    display: none;
}
#homecomp .skills-box:target{
    display: flex;
    bottom: 0;
}


/*************************************Section 3*************************/


#intro{
    color: #2A2A2A;
    margin: 2vw;
    padding: 2vw;
    box-shadow: 1px 1px 2px 3px rgba(147, 147, 147, 0.2);
    background-color: #b0c1b5;

}
.content a{
    text-decoration: none;
    color: #2A2A2A;

}
.content{
    font: 0.9em verdana;
    font-weight: 600;
    padding: 1vw;
    text-align:justify;

}
.rubrique{
    color: #040404;
    font-family:'Kalam';
    font-size: 1.4rem;
    text-align: center;
}
#text3d{
    margin: 0 auto 0 auto;
    font-size: 1.1rem;
    padding: 1vw;
    text-align: center;
    text-transform: uppercase;
    text-rendering: optimizeLegibility;
  }
  
  /*	
  ============
      Light
  ============
  */
  #text3d::before {
    content:"";
    width: 100%;
    position: absolute;
    top: -200px;
    left: 10px;
    transform: rotate(55deg);
    background: rgba(245, 193, 98, 0.7);
    background: -moz-linear-gradient(left, rgba(245, 193, 98, 0.7) 0%, rgba(127, 118, 113, 0) 65%);
    background: -webkit-gradient(left top, right top, color-stop(0%, rgba(245, 193, 98, 0.7)), color-stop(65%, rgba(127, 118, 113, 0)));
    background: -webkit-linear-gradient(left, rgba(245, 193, 98, 0.7) 0%, rgba(127, 118, 113, 0) 65%);
    background: -o-linear-gradient(left, rgba(245, 193, 98, 0.7) 0%, rgba(127, 118, 113, 0) 65%);
    background: -ms-linear-gradient(left, rgba(245, 193, 98, 0.7) 0%, rgba(127, 118, 113, 0) 65%);
    background: linear-gradient(to right, rgba(245, 193, 98, 0.7) 0%, rgba(127, 118, 113, 0) 65%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#cebc9b', endColorstr='#2a1f19', GradientType=0.7 );
  }
  /*
  ========================
              3D Effect
  ========================
  */
  #text3d {
      color: #edeaea;
      letter-spacing: .2em;
      text-shadow: 
        -1px -1px 1px #686868, 
        0px 1px 0 #2F2F2F, 
        0px 2px 0 #2c2c2c, 
        0px 3px 0 #2a2a2a, 
        0px 4px 0 #282828, 
        0px 5px 0 #262626, 
        0px 6px 0 #242424, 
        0px 7px 0 #222; 
   }
.italic{
    font-style: italic;
    font-weight: bolder;
}

/*******************************************FOOTER************************************/

footer{
    background-image:url("/images/Bandeau_graph.png");
    background-size: cover;
    display: flex;
    
}
#footer p{
    color: #edeaea;
    font-size: 1.3rem;
    font-weight: lighter;
    margin: 2vw;
}

#footer p i{
    color: #EB5406;
    text-shadow: 2px 2px 0 #2A2A2A, 2px -2px 0 #2A2A2A, -2px 2px 0 #2A2A2A, -2px -2px 0 #2A2A2A, 2px 0px 0 #2A2A2A, 0px 2px 0 #2A2A2A, -2px 0px 0 #2A2A2A, 0px -2px 0 #2A2A2A;
    font-size: 1.8rem;

}
#footer p a{
   color:  #EB5406;

}
#footer p a:hover{
    color:  #edeaea;
}
.logo_footer{
    max-height: 1.5em;
}


/************************media screen********************/
@media screen and (min-width:361px){
    #container2 .skills-box ul li p{
        font-size: 1.1rem;
    }

}
@media screen and (max-width:415px){
    button, .car1 li, .car2 li, .car3 li, .car4 li, #texreflx {
        font-family: Verdana, Tahoma, sans-serif;
    }
}


@media screen and (min-width:414px){
    #container2 .skills-box ul li p{
        font-size: 1.2rem;
    }
    button, .car1 li, .car2 li, .car3 li, .car4 li, #texreflx {
        font-family: Verdana, Tahoma, sans-serif;
    }

}

@media screen and (min-width:576px){
    #titre {
        font-size: 1.3rem;
        font-weight: 100;
    }
    button {
        font-size: 1rem;
        font-weight: 400;
    }
    #section-0 h3{
        font-size: 1.3rem;
    }
    div.carousel h3 {
        font-size: 1.4rem;
    }
    .car1 li, .car2 li, .car3 li, .car4 li{
        font-size: 1rem;
        font-weight: 400;
    }
    #skillstitle{
        font-size: 1.6rem;
    }
    #texreflx{
        font-size: 1rem;
        font-weight: 400;
    }
    #closelire{
        font-size: 2.2rem;
    }
    #container2 .skills-box ul li p{
        font-size: 1.4rem;
    }
    .skillboxtitle{
        font-size: 1.6rem;
    }


}

@media screen and (min-width:768px){
    #titre h1{
        font-size: 1.7rem;
        font-weight: 100;
    }
    #adage{
        font-size: 1.2rem;
    }
    button {
        padding: 0.4vw;
        font-size: 0.8rem;
        border-radius: 5px;
    }
    #section-0 h3{
        font-size: 1.5rem;
        padding-bottom: 3vw;

    }
    div.carousel h3 {
        font-size: 1.8rem;

    }
    .car1 li, .car2 li, .car3 li, .car4 li{
        font-size: 1.3rem;
    }
    #skillstitle{
        font-size: 2rem;
    }
    #texreflx{
        font-size: 1.1rem;
    }
    #closelire{
        font-size: 2.5rem;
    }
    #container2 .skills-box ul li p{
        font-size: 1.6rem;
    }
    .content{
        font-size: 1em ;
    }
    .rubrique{
        font-size: 1.5rem;
    }
    #text3d{
        font-size: 1.3rem;
    }


}
@media screen and (min-width:992px){
    #titre{
        margin: 0.5vw 0 0 0;
    }    
    #titre h1{
            font-size: 2.2rem;
            font-weight: 100;
    }
    #adage{
        font-size: 1.5rem;
    }
    .img_container {
        margin-left: 2vw;
        min-height: 50px;
        width: auto;
    }
    .img_container img, .img_container a img{
        min-height: 40px;
        width: auto;
    }
    button {
        margin: 6px;
        padding: 0.6vw;
        font-size: 1rem;
        border-radius: 6px;
    }
    #section-0 h3{
        font-size: 1.7rem;
        padding-bottom: 2vw;
    }
    .carousel h3 {
        font-size: 2rem;
    }
    .car1 li, .car2 li, .car3 li, .car4 li{
        font-size: 1.5rem;
    }
    .carousel-dots .carousel-dot {
        width: 2.8vw;
        height: 2.8vw;
    }
    #skillstitle{
        font-size: 2.2rem;
    }
    #texreflx{
        font-size: 1.2rem;
    }
    #closelire{
        font-size: 2.8rem;
    }
    #container2 .skills-box ul li p{
        font-size: 1.7rem;
    }
    .skillboxtitle{
        font-size: 1.8rem;
    }
    .content{
        font-size: 1.2em ;
    }
    .rubrique{
        font-size: 1.7rem;
    }
    #text3d{
        font-size: 1.5rem;
    }
}
@media screen and (min-width:1201px){
    #titre{
        margin-left: 2vw;
    }
    #titre h1{
        font-size: 2.5rem;
        font-weight: 100;
    }    
    #adage{
        font-size: 1.8rem;
    }
    .img_container {
        margin-left: 2vw;
        max-height: 140px;
    }
    .img_container img, .img_container a img{
        max-height: 130px;
    }
    button {
        margin: 8px;
        padding: 0.6vw;
        font-size: 1rem;
        border-radius: 7px;
    }    
    #section-0 h3{
        font-size: 2rem;
        padding-bottom: 3vh;
    }
    .carousel h3 {
        font-size: 2.2rem;
    }
    .car1 li, .car2 li, .car3 li, .car4 li{
        font-size: 1.3rem;
    }
    .carousel-dots .carousel-dot {
        width: 2vw;
        height: 2vw;
    }
    #skillstitle{
        font-size: 2.4rem;
    }
    #texreflx{
        font-size: 1.4rem;
    }
    #closelire{
        font-size: 3rem;
    }
    #legend li{
        box-shadow: inset 0.8vw 0.8vw 1.5vw #5c5c5c,
                    inset -0.8vw -0.8vw 1.5vw #7c7c7c;
    }
    #container2 .skills-box ul li p{
        font-size: 1.8rem;
    }
    .skillboxtitle{
        font-size: 2rem;
    }
    .content{
        padding: 0 10vw;
        font-size: 1.3em ;
    }
    .rubrique{
        font-size: 1.9rem;
    }
    #text3d{
        font-size: 1.7rem;
    }
    #footer p{
        font-size: 1.6rem;
        margin: 5vw;
    }
    #footer p i{
        font-size: 2rem;
    }
}
@media screen and (min-width:1601px){
    #titre h1{
        font-size: 3rem;
    }
    #adage{
        font-size: 2rem;
    }
    button {
        margin: 10px;
        padding: 0.8vw;
        font-size: 1.2rem;
        border-radius: 10px;
    }
    #section-0 h3{
        font-size: 2.5rem;
        padding-bottom: 3vh;
    }
    div.carousel h3 {
        font-size: 2.5rem;
    }
    .car1 li, .car2 li, .car3 li, .car4 li{
        font-size: 1.5rem;
    }
    #skillstitle{
        font-size: 2.6rem;
    }
    #texreflx{
        font-size: 1.5rem;
    }
    #closelire{
        font-size: 3.5rem;
    }
    #legend li{
        box-shadow: inset 0.6vw 0.6vw 1.2vw #5c5c5c,
                    inset -0.6vw -0.6vw 1.2vw #7c7c7c;
    }
    #container2 .skills-box ul li p{
        font-size: 2rem;
    }
    .skillboxtitle{
        font-size: 2rem;
    }
    #footer p{
        font-size: 1.8rem;
        margin: 2vw 5vw;
    }
    #footer p i{
        font-size: 2.2rem;
    }
}